*     JLdL 26May06.
*     Copyright (C) 1999-2006 by Jorge L. deLyra.
*     Mail: <delyra@latt.if.usp.br>. Web: "http://latt.if.usp.br".
*     This program may be copied and/or distributed freely. See the
*     _ terms and conditions in the files in the doc/ subdirectory.
*     
*     This program calls the routines bwidth_d[1-5] to calculate the
*     _ sum of the dimensionful version of the momentum-space blocked
*     _ propagator over all the momentum modes on the torus, in order
*     _ to get the blocked local width.
*     It reads the values of the dimension, of the lattice size,
*     _ of the mass and of the blocking ratio.
*     
      PROGRAM LOCAL_BWIDTH
*     
*     Double precision everything.
      implicit double precision (a-h,o-z)
*     
*     Read the dimension, lattice size and mass without prompting.
      read(*,*) ndime,nvert,amass,ratio
*     
*     Call the appropriate routine with the appropriate argument.
      if (ndime.eq.1) then
         call bwidth_d1(nvert,amass,ratio,width)
      else if (ndime.eq.2) then
         call bwidth_d2(nvert,amass,ratio,width)
      else if (ndime.eq.3) then
         call bwidth_d3(nvert,amass,ratio,width)
      else if (ndime.eq.4) then
         call bwidth_d4(nvert,amass,ratio,width)
      else if (ndime.eq.5) then
         call bwidth_d5(nvert,amass,ratio,width)
      else
         write(*,*) 'local_bwidth: ERROR: cannot run for ndime > 5'
         stop
      end if
*     
*     Write out the result.
      write(*,*) width
*     
      END
